﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace SerialASCIISample
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Console.Write("COM Port: ");
            string port = Console.ReadLine();

            SerailComm serailComm = new SerailComm(port, 9600, System.IO.Ports.Parity.None, 8, System.IO.Ports.StopBits.One);
            serailComm.MessageReceived += SerailComm_MessageReceived;
            serailComm.Open();

            bool needExit = false;
            while (!needExit)
            {
                Thread.Sleep(1000);

                if (!serailComm.IsOpen)
                    serailComm.Open();
            }
        }

        private static void SerailComm_MessageReceived(object sender, EventMessageArgs e)
        {
            Console.WriteLine($"[{DateTime.Now.ToShortTimeString()}] {e.Message}");
        }
    }
}
